Subject: Re: bug#78875: 31.0.50; X protocol error: BadFont

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 17 Jul 2025 14:35:13 -0400

Michael Welsh Duggan <[email-masked]> writes:

> I'm sorry.  I got caught up in work and didn't have the time to chase it
> down.  I will be back in the office week after next (I'm on vacation),
> and I will see if I cannot get the information.

I have been unable to recreate the problem in isolation.  I'm going to
recommend closing this bug.  I will re-open if it reoccurs in a way that
I can replicate it.

> Eli Zaretskii <[email-masked]> writes:
>
>> Ping!  Michael, could you perhaps produce a backtrace that po Lu would
>> like to see?
>>
>>> From: Po Lu <[email-masked]>
>>> Cc: Michael Welsh Duggan <[email-masked]>,  [email-masked]
>>> Date: Wed, 25 Jun 2025 09:26:55 +0800
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> >> From: Michael Welsh Duggan <[email-masked]>
>>> >> Date: Mon, 23 Jun 2025 11:24:20 -0400
>>> >> 
>>> >> While using Gnus, the display of one particular summary buffer is
>>> >> causing all of the frames on this (remote X11) terminal to close.  It
>>> >> does not, however, crash emacs.  The message in my *Messages* buffer is:
>>> >> 
>>> >> X protocol error: BadFont (invalid Font parameter) on protocol request 56
>>> >> Serial no: 20736
>>> >> Failing resource ID (if any): 0x0
>>> >> Minor code: 0
>>> >> This is a bug!  Please report this to [email-masked]!
>>> >> 
>>> >> With some difficulty (attempting to save the buffer also causes the
>>> >> problem) I was able to extract the buffer as a text file.  Viewing that
>>> >> file in this remote emacs also triggers the problem, so I will likely be
>>> >> able to recreate this problem on my end.  I am attaching the gzipped
>>> >> contents of the file in question to this message.
>>> >> 
>>> >> I do not yet know if this problem will happen if I am not in a remote
>>> >> frame.  Determining that will have to wait until I return home from
>>> >> work later today.
>>> >> 
>>> >> This emacs is compiled unoptimized with debugging enabled.  I would be
>>> >> very interested in figuring out where I could add a breakpoint to try to
>>> >> figure out what is causing this problem.  
>>> >
>>> > See etc/DEBUG under "If you encounter X protocol errors", it tells you
>>> > how to go about debugging this.
>>> >
>>> > Po Lu, any comments or suggestions?
>>> 
>>> A backtrace produced under synchronous execution would be informative,
>>> as I'm not aware of any situations where the X font backend will attempt
>>> to use None (resource 0x0) as a font object, and it is likely that the
>>> issue is in a library or the X toolkit.
>>> 

-- 
Michael Welsh Duggan
([email-masked])